using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace formula
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
		}

		private void buttonCalc_Click(object sender, EventArgs e)
		{
			string str = textFormula.Text;
			Formula formura = new Formula();
			double d = formura.EvalFormula(str);
			if (Double.IsNaN(d)) {
				textResult.Text = "ERROR";
			} else {
				string strResult = Convert.ToString(d);
				Clipboard.SetDataObject(strResult, true);
				textResult.Text = strResult;
			}
		}

		private void buttonExit_Click(object sender, EventArgs e)
		{
			Close();
		}

		private void OnClick(object sender, MouseEventArgs e)
		{
			if (e.Button == MouseButtons.Right) {
				AboutBox dlg = new AboutBox();
				dlg.ShowDialog();
			}
		}

	
	}
}